Bug 24063 - Add Sami language characters to Zebra
Summary: Add Sami language characters to Zebra
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: I18N/L10N (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: paxed
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-11-19 09:24 UTC by paxed
Modified: 2021-06-14 21:29 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Text to go in the release notes:
This patch adds some additional characters to the default zebra mappings for Sami languages to aid in searching on systems with such data present.
Version(s) released in:
20.05.00, 19.11.02


Attachments
Bug 24063: Add Sami language characters to Zebra (1.33 KB, patch)
2019-11-19 09:26 UTC, paxed
Details | Diff | Splinter Review
Bug 24063: Add Sami language characters to Zebra (1.39 KB, patch)
2019-11-24 14:35 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 24603: Allow to cancel charges in patron accounting (11.87 KB, patch)
2020-10-15 20:51 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 24603: (follow-up) Update to double entry accounting (19.18 KB, patch)
2020-10-15 20:51 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 24603: Fix number of unit tests (776 bytes, patch)
2020-10-15 20:51 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 24603: (QA follow-up) Make the new credit type translatable and shorten description a bit (2.32 KB, patch)
2020-10-15 20:52 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description paxed 2019-11-19 09:24:59 UTC
To allow searching for eg. Skolt Sami texts, some additional characters should be mapped in Zebra: Ǩ, ǯ, and ŋ.
Comment 1 paxed 2019-11-19 09:26:22 UTC
Created attachment 95527 [details] [review]
Bug 24063: Add Sami language characters to Zebra

Some Sami languages need few more characters to be mapped, or
are otherwise very hard to search for.

Test plan:

1) Catalogue a new record with title "Ǩoǯeŋa"
2) Make sure zebra indexed that record, then try to search for
   it with the text "kozena"
3) Apply patch
4) Redo 2, now the record should be found.
Comment 2 Katrin Fischer 2019-11-24 14:35:59 UTC
Created attachment 95766 [details] [review]
Bug 24063: Add Sami language characters to Zebra

Some Sami languages need few more characters to be mapped, or
are otherwise very hard to search for.

Test plan:

1) Catalogue a new record with title "Ǩoǯeŋa"
2) Make sure zebra indexed that record, then try to search for
   it with the text "kozena"
3) Apply patch
4) Redo 2, now the record should be found.

Signed-off-by: Pasi Kallinen <pasi.kallinen@koha-suomi.fi>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 3 Katrin Fischer 2019-12-22 20:01:04 UTC
Simple patch, sitting for a month - passing QA.
Comment 4 Martin Renvoize 2020-01-03 16:16:07 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 5 Joy Nelson 2020-01-14 00:41:31 UTC
Pushed to 19.11.x for 19.11.02
Comment 6 Lucas Gass 2020-01-15 21:54:26 UTC
simple enhancement, choosing to backport to 19.05.x series for 19.05.07
Comment 7 Hayley Pelham 2020-01-15 22:13:23 UTC
Enhancement will not be backported to 18.11.x series.
Comment 8 Katrin Fischer 2020-10-15 20:51:41 UTC
Created attachment 111790 [details] [review]
Bug 24603: Allow to cancel charges in patron accounting

There is already a button to void a payment. It should be possible to
cancel a charge too.

This patch adds a button in patron's accounting section (Transactions
tab) that allow to cancel charges.
Charges that have been fully or partially paid cannot be cancelled.

It also fixes Koha::Account::Line::is_credit by looking at
credit_type_code instead of amount (amount can be 0 for voided payments)

It also fixes the tests for Koha::Account::Line::void when database does
not contain the borrowernumber 51 (the default in
t::lib::Mocks::mock_userenv)

Test plan:
1. Go to a patron's accounting section
2. Create a manual invoice
3. In Transactions tab, you should see a 'Cancel charge' button. Click
   on it. It should now be marked as cancelled
4. Create another manual invoice
5. Pay it (partially or fully)
6. Notice that the 'Cancel charge' button is not available
7. Void the payment
8. 'Cancel charge' button is available again. Click on it and verify
   that it still works
9. prove t/db_dependent/Koha/Account/Lines.t

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 9 Katrin Fischer 2020-10-15 20:51:50 UTC
Created attachment 111791 [details] [review]
Bug 24603: (follow-up) Update to double entry accounting

This patch updates the logic to create a cancellation accountline and
apply it to the charge line so we correction record the transaction in
terms of double entry accounting standards.

Test plan:
1. Go to a patron's accounting section
2. Create a manual invoice
3. In Transactions tab, you should see a 'Cancel charge' button. Click
   on it. It should now be marked as cancelled
4. A cancellation line should be associated with the original charge.
5. Create another manual invoice
6. Pay it (partially or fully)
7. Notice that the 'Cancel charge' button is not available
8. Void the payment
9. 'Cancel charge' button is available again. Click on it and verify
   that it still works
10. prove t/db_dependent/Koha/Account/Lines.t

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 10 Katrin Fischer 2020-10-15 20:51:55 UTC
Created attachment 111792 [details] [review]
Bug 24603: Fix number of unit tests

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 11 Katrin Fischer 2020-10-15 20:52:00 UTC
Created attachment 111793 [details] [review]
Bug 24603: (QA follow-up) Make the new credit type translatable and shorten description a bit

Adding the new offset type and credit type to the include so it can be translated.

Also suggest shortening the db description a bit.

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 12 Hayley Pelham 2020-10-15 21:02:46 UTC
Looks like the wrong bug report Katrin! :)
Comment 13 Katrin Fischer 2020-10-15 21:05:18 UTC
Yes - hopefully all fixed now!